scanimage: open of device failed: Invalid argument

В ubuntu 16.04 отвалился сканнер по сети. Simple Scan выдавал ошибку что не может подключиться к сканнеру и предлашал выбрать другой.

scanimage: open of device pixma:MG5500 failed: Invalid argument

Проблема в версии библиотеки libsane 1.0.25+git20150528-1ubuntu2.16.04.1, которая лежит в репозиториях.

Проблема решается обновлением библиотеки до последней версии.

1) Добавить репозиторий с последней версией sane
# sudo add-apt-repository ppa:rolfbensch/sane-release
2) Обновить репы
# sudo apt-get update
3) Обновить libsane
# sudo apt-get install libsane

Preparing to unpack .../libsane_1.0.27-xenial1_amd64.deb ...
Unpacking libsane:amd64 (1.0.27-xenial1) over (1.0.25+git20150528-1ubuntu2.16.04.1) …
 

Комментарии

Добавить комментарий